FSCK.S3QL(1)

NAME
fsck.s3ql - Check an S3QL file system for errors

SYNOPSIS

fsck.s3ql [options] <storage url>

DESCRIPTION

S3QL is a file system for online data storage. Before using S3QL, make sure to consult the full documentation (rather than just the man pages which only briefly document the available userspace commands).

The mkfs.s3ql command checks the new file system in the location specified by storage url for errors and attempts to repair any problems. The storage url depends on the backend that is used. The S3QL User's Guide should be consulted for a description of the available backends.

OPTIONS

The mkfs.s3ql command accepts the following options.

--log <target>
    Write logging info into this file. File will be rotated when it reaches 1 MiB, and at most 5 old log files will be kept. Specify none to disable logging. Default: ~/.s3ql/fsck.log

--cachedir <path>
    Store cached data in this directory (default: ~/.s3ql)

--authfile <path>
    Read authentication credentials from this file (default: ~/.s3ql/authinfo2)

--debug <module>
    activate debugging output from <module>. Use all to get debug messages from all modules. This option can be specified multiple times.

--quiet
    be really quiet

--ssl
    Always use SSL connections when connecting to remote servers. For backends that allow only encrypted connections, S3QL uses SSL automatically, even if this option is not set.

--version
    just print program version and exit

--batch
    If user input is required, exit without prompting.

--force
    Force checking even if file system is marked clean.

EXIT STATUS

mkfs.s3ql returns exit code 0 if the operation succeeded and 1 if some error occurred.

SEE ALSO

The S3QL homepage is at http://code.google.com/p/s3ql/.

The full S3QL documentation should also be installed somewhere on your system, common locations are /usr/share/doc/s3ql or /usr/local/doc/s3ql.

COPYRIGHT
2008-2011, Nikolaus Rath